Subject: bug#30019: 26.0.90; Invalid specification of parent-frame with desktop-read

From: martin rudalics <[email-masked]>
Date: Tue, 09 Jan 2018 11:24:12 +0100

> It might be interesting to find out whether `frameset--mini' has the
 > same problem and, if not, why.  After all the minibuffer frame is the
 > same as the parent frame.

The answer is probably that in order for a frame to be assigned as
minibuffer frame it doesn't need a window system window.  It needs the
window only at the time the minibuffer becomes active.  OTOH a child
frame needs the parent frame's windows system window immediately.

I wonder whether this bug is reproducible on X now that Noam restored
the wait for MapNotify call.

martin